//*****************************************************************************
//
// This file is generated by ftrasterize; DO NOT EDIT BY HAND!
//
//*****************************************************************************
#include <stdbool.h>
#include <stdint.h>
#include "grlib/grlib.h"

//*****************************************************************************
//
// Details of this font:
//     Characters: 32 to 126 inclusive
//     Style: apercu
//     Size: 20 point
//     Bold: yes
//     Italic: no
//     Memory usage: 2320 bytes
//
//*****************************************************************************

//*****************************************************************************
//
// The compressed data for the 20 point Apercu bold font.
// Contains characters 32 to 126 inclusive.
//
//*****************************************************************************
static const unsigned char g_pucApercu20bData[2120] =
{
      5,   9,   0,  21,  48,  16,   5,  83,  35,  35,  35,  35,
     35,  35,  35,  35, 195,  35,  35, 240, 112,  15,   8, 130,
     19,  34,  34,  34,  34,  34,  34,  34,  34,   0,  13,  32,
     30,  14, 240,  50,  34, 130,  34, 130,  34, 130,  34,  91,
     59,  82,  34, 130,  34,  91,  59,  82,  34, 130,  34, 130,
     34, 130,  34,   0,   7,  96,  25,  12,  66, 162, 134,  88,
     67,  35,  67, 148, 149, 134, 132,  81,  67,  35,  67,  36,
     51,  56,  86, 130, 162, 240, 240,  35,  17, 240,  67,  99,
     55,  66,  66,  50,  50,  82,  50,  35,  87,  19, 132,  19,
    226, 226, 227,  35, 131,  23,  98,  34,  50,  82,  50,  50,
     67,  55,  51,  84,   0,   9,  29,  13, 240,  20, 134, 114,
     34, 114,  34, 118, 132, 132, 134,  33,  51,  34,  18,  51,
     37,  51,  52,  52,  36,  73,  85,  19,   0,   6,  96,  10,
      4,  66,  34,  34,  34,  34,   0,   6,  96,  19,   7, 147,
     66,  67,  66,  67,  67,  67,  67,  67,  67,  67,  82,  83,
     82,  83, 240, 128,  19,   7, 115,  82,  83,  82,  83,  67,
     67,  67,  67,  67,  67,  66,  67,  66,  67, 240, 160,  13,
     10, 210, 130,  88,  40,  68,  86,  81,  33,   0,  14,  32,
     16,  12,   0,   6,  66, 162, 162, 106,  42,  98, 162, 162,
    162,   0,   9,  96,  11,   7,   0,  10,  99,  51,  67,  66,
     82,  66, 192,   9,   9,   0,   9,   7,  39,   0,  10,  48,
      9,   5,   0,   7,  67,  35,  35, 240, 112,  21,  13, 146,
    163, 162, 163, 162, 162, 163, 162, 163, 162, 163, 162, 163,
    162, 162, 163,   0,   6,  16,  30,  13, 240,  21, 119,  83,
     51,  67,  51,  51,  83,  35,  83,  35,  83,  35,  83,  35,
     83,  35,  83,  51,  51,  67,  51,  87, 117,   0,   7,  16,
     20,   8, 194,  68,  38,  38,  33,  35,  83,  83,  83,  83,
     83,  83,  83,  83,  83, 240, 240,  64,  21,  11, 213,  87,
     51,  51,  35,  51, 131, 131, 115, 116, 100, 115, 115, 115,
    121,  41,   0,   5,  96,  21,  12, 216,  71, 147, 131, 146,
    149, 118, 148, 147, 147,  35,  67,  51,  36,  56, 100,   0,
      6,  80,  24,  12, 240,  51, 132, 117, 117, 102,  98,  19,
     82,  35,  67,  35,  66,  51,  58,  42, 131, 147, 147,   0,
      6,  48,  22,  12, 216,  72,  67, 146, 162, 167,  88,  66,
     52, 147, 147,  35,  67,  51,  36,  56, 100,   0,   6,  80,
     25,  12, 240,  35, 131, 146, 147, 131, 149, 104,  67,  36,
     35,  67,  35,  67,  35,  67,  36,  36,  56, 100,   0,   6,
     80,  19,  10, 168,  40, 114, 130, 115, 114, 115, 115, 114,
    115, 114, 130, 115, 114,   0,   5, 112,  26,  11, 213,  87,
     51,  51,  35,  51,  35,  51,  35,  51,  55,  71,  52,  35,
     35,  51,  35,  51,  35,  51,  55,  85,   0,   6,  24,  12,
    244, 104,  52,  35,  51,  67,  35,  67,  35,  67,  36,  35,
     72,  86, 147, 131, 146, 147, 131,   0,   6, 112,  12,   5,
    240, 163,  35,  35, 240, 115,  35,  35, 240, 112,  15,   6,
    240, 240,  19,  51,  51, 240, 195,  50,  51,  51,  50,  66,
    160,  17,  10,   0,   5, 113, 115,  85,  53,  68, 100, 117,
    117, 115, 145,   0,   6,  64,  12,  11,   0,   8,  41,  41,
    240, 153,  41,   0,   9, 112,  17,  10, 240, 240, 161, 147,
    117, 117, 116, 100,  69,  53,  83, 113,   0,   7,  48,  21,
     10, 196,  86,  51,  35, 115, 100,  68,  83, 114,  33,  85,
     99, 240,  35, 115, 115, 240, 240, 240,  40,  18, 240, 135,
    154, 116,  83,  84, 115,  67,  36,  21,  35,  24,  19,  39,
     50,  19,  38,  66,  19,  38,  66,  19,  38,  51,  19,  35,
     27,  67,  20,  35,  84, 244,  97, 138, 166, 240, 240, 208,
     27,  14, 240,  67, 164, 164, 165, 134, 131,  18, 130,  35,
     99,  35,  99,  35, 105,  74,  67,  82,  66,  99,  35,  99,
      0,   7,  32,  27,  12, 199,  88,  67,  51,  51,  51,  51,
     51,  51,  51,  56,  73,  51,  52,  35,  67,  35,  67,  35,
     52,  41,  56,   0,   6,  64,  26,  15, 240,  70, 121,  84,
     67,  67,  99,  35, 113,  67, 195, 195, 195, 195, 113,  83,
     99,  52,  67,  89, 134,   0,   8,  16,  29,  13, 215, 105,
     67,  52,  51,  67,  51,  83,  35,  83,  35,  83,  35,  83,
     35,  83,  35,  83,  35,  67,  51,  52,  57,  71,   0,   7,
     32,  19,  11, 185,  41,  35, 131, 131, 131, 136,  56,  51,
    131, 131, 131, 137,  41,   0,   5,  96,  19,  11, 185,  41,
     35, 131, 131, 131, 136,  56,  51, 131, 131, 131, 131, 131,
      0,   6,  64,  29,  14, 240,  53, 121,  68,  51,  67,  83,
     35, 113,  51, 179, 179,  69,  35,  69,  35,  99,  51,  83,
     52,  52,  74, 101,  18,   0,   7,  32,  31,  13, 211,  83,
     35,  83,  35,  83,  35,  83,  35,  83,  35,  83,  43,  43,
     35,  83,  35,  83,  35,  83,  35,  83,  35,  83,  35,  83,
      0,   6,  96,  18,   5,  83,  35,  35,  35,  35,  35,  35,
     35,  35,  35,  35,  35,  35,  35, 240, 112,  21,  11, 240,
     35, 131, 131, 131, 131, 131, 131, 131, 131, 131,  49,  67,
     35,  36,  55,  85,   0,   6,  30,  13, 211,  68,  35,  52,
     51,  36,  67,  35,  83,  19, 102, 117, 134, 115,  19,  99,
     35,  83,  36,  67,  51,  67,  67,  51,  83,   0,   6,  96,
     19,  11, 179, 131, 131, 131, 131, 131, 131, 131, 131, 131,
    131, 131, 137,  41,   0,   5,  96,  41,  15, 243, 100,  36,
     84,  36,  84,  37,  53,  37,  53,  37,  53,  38,  22,  35,
     18,  18,  19,  35,  18,  18,  19,  35,  21,  19,  35,  35,
     35,  35,  35,  35,  35,  50,  35,  35, 115,   0,   7,  96,
     35,  13, 211,  83,  36,  67,  36,  67,  37,  51,  37,  51,
     38,  35,  35,  19,  19,  35,  19,  19,  35,  38,  35,  38,
     35,  53,  35,  68,  35,  68,  35,  83,   0,   6,  96,  30,
     15, 240,  69, 137,  84,  52,  67,  83,  51, 115,  35, 115,
     35, 115,  35, 115,  35, 115,  35, 115,  51,  83,  68,  52,
     89, 133,   0,   8,  32,  23,  12, 200,  73,  51,  67,  35,
     67,  35,  67,  35,  67,  41,  56,  67, 147, 147, 147, 147,
    147,   0,   7,  16,  32,  15, 240,  69, 137,  84,  52,  67,
     83,  51, 115,  35, 115,  35, 115,  35, 115,  35,  81,  19,
     35,  70,  51,  68,  68,  52,  91, 101,  33,   0,   7, 112,
     29,  13, 216,  89,  67,  67,  51,  67,  51,  67,  51,  67,
     57,  72,  83,  34,  99,  35,  83,  51,  67,  67,  51,  67,
     51,  83,   0,   6,  96,  23,  12, 244, 119,  67,  35,  67,
    148, 133, 134, 118, 133,  65,  67,  35,  67,  51,  51,  56,
    101,   0,   6,  64,  19,  12, 202,  42,  99, 147, 147, 147,
    147, 147, 147, 147, 147, 147, 147, 147,   0,   6,  80,  31,
     13, 211,  83,  35,  83,  35,  83,  35,  83,  35,  83,  35,
     83,  35,  83,  35,  83,  35,  83,  35,  83,  35,  83,  51,
     51,  73, 101,   0,   7,  16,  28,  14, 227,  99,  50,  99,
     51,  67,  67,  67,  82,  67,  83,  35,  99,  35, 114,  35,
    114,  34, 134, 149, 148, 164, 179,   0,   7,  96,  45,  20,
    240,  83, 195,  50,  82,  83,  51,  67,  66,  67,  52,  51,
     82,  52,  51,  82,  53,  35,  83,  37,  34,  99,  19,  18,
     34, 114,  18,  34,  19, 114,  18,  38, 117,  52, 132,  68,
    147,  68, 147,  83,   0,  10,  80,  26,  13, 227,  67,  66,
     51,  83,  35, 102, 117, 148, 147, 164, 134, 118,  99,  35,
     82,  51,  67,  67,  35,  98,   0,   6,  96,  24,  13, 211,
     83,  51,  51,  67,  51,  83,  19,  99,  19, 117, 133, 147,
    163, 163, 163, 163, 163, 163,   0,   7,  32,  19,  12, 201,
     57, 131, 147, 131, 147, 131, 147, 131, 147, 131, 146, 154,
     42,   0,   6,  32,  20,   7,   5,  37,  35,  67,  67,  67,
     67,  67,  67,  67,  67,  67,  67,  67,  69,  37, 240, 128,
     21,  13,   2, 179, 178, 179, 178, 194, 179, 178, 179, 178,
    179, 178, 179, 178, 194, 179, 240, 240, 176,  20,   7,   5,
     37,  67,  67,  67,  67,  67,  67,  67,  67,  67,  67,  67,
     67,  37,  37, 240, 128,  15,  12, 240,  18, 148, 118,  98,
     34,  82,  66,  51,  67,   0,  18,  32,   8,  11,   0,  20,
     89,  41, 240, 144,   8,   6,  99,  66,  82,   0,  11,  64,
     21,  11,   0,   7,  21,  87,  51,  51, 131,  71,  56,  35,
     51,  35,  36,  41,  52,  19,   0,   5,  96,  27,  12, 195,
    147, 147, 147, 147,  20,  73,  52,  36,  35,  67,  35,  67,
     35,  67,  35,  67,  36,  36,  41,  51,  20,   0,   6,  64,
     19,  12,   0,   7, 117,  88,  67,  51,  35, 147, 147, 147,
    163,  51,  56, 101,   0,   6,  64,  28,  12, 240,  67, 147,
    147, 147,  68,  19,  57,  36,  36,  35,  67,  35,  67,  35,
     67,  35,  67,  36,  36,  57,  68,  19,   0,   6,  32,  20,
     12,   0,   7, 116, 104,  67,  50,  51,  67,  42,  42,  35,
    163,  51,  56, 101,   0,   6,  64,  19,   9, 196,  53,  67,
     99,  86,  54,  67,  99,  99,  99,  99,  99,  99,  99, 240,
    240, 176,  24,  11,   0,   7,  23,  56,  35,  51,  35,  51,
     35,  51,  55,  55,  67, 136,  57,  35,  51,  35,  51,  40,
     85,  64,  28,  11, 179, 131, 131, 131, 131,  20,  57,  36,
     35,  35,  51,  35,  51,  35,  51,  35,  51,  35,  51,  35,
     51,  35,  51,   0,   5,  96,  17,   5,  83,  35,  35, 115,
     35,  35,  35,  35,  35,  35,  35,  35,  35, 240, 112,  20,
      7, 147,  67,  67, 179,  67,  67,  67,  67,  67,  67,  67,
     67,  67,  67,  51,  52,  50,  80,  26,  11, 179, 131, 131,
    131, 131,  51,  35,  35,  51,  19,  70,  85, 102,  83,  19,
     67,  35,  51,  35,  51,  51,   0,   5,  96,  18,   5,  83,
     35,  35,  35,  35,  35,  35,  35,  35,  35,  35,  35,  35,
     35, 240, 112,  35,  17,   0,  10,  83,  20,  36,  63,  36,
     36,  35,  35,  51,  51,  35,  51,  51,  35,  51,  51,  35,
     51,  51,  35,  51,  51,  35,  51,  51,  35,  51,  51,   0,
      8,  96,  26,  11,   0,   6, 115,  20,  57,  36,  35,  35,
     51,  35,  51,  35,  51,  35,  51,  35,  51,  35,  51,  35,
     51,   0,   5,  96,  23,  12,   0,   7, 116, 104,  67,  35,
     51,  67,  35,  67,  35,  67,  35,  67,  51,  35,  72, 100,
      0,   6,  80,  27,  12,   0,   7,  67,  20,  73,  52,  36,
     35,  67,  35,  67,  35,  67,  35,  67,  36,  36,  41,  51,
     20,  67, 147, 147, 147, 144,  27,  12,   0,   7, 100,  19,
     57,  36,  36,  35,  67,  35,  67,  35,  67,  35,  67,  36,
     36,  57,  68,  19, 147, 147, 147, 147,  32,  18,   9, 240,
    240, 243,  19,  39,  36,  84,  83,  99,  99,  99,  99,  99,
    240, 240, 192,  20,  10,   0,   6,  68,  86,  67,  17,  83,
    118, 101,  65,  35,  35,  35,  54,  84, 240, 240, 224,  19,
      9, 193,  99,  99,  99,  87,  39,  51,  99,  99,  99,  99,
     99, 117,  84, 240, 240, 128,  26,  11,   0,   6, 115,  51,
     35,  51,  35,  51,  35,  51,  35,  51,  35,  51,  35,  51,
     35,  36,  41,  52,  19,   0,   5,  96,  24,  11,   0,   6,
    115,  66,  50,  51,  50,  50,  67,  34,  82,  19,  82,  18,
     98,  18, 116, 115, 131,   0,   6,  16,  36,  16,   0,  10,
      2,  51,  51,  34,  51,  50,  51,  35,  50,  66,  36,  19,
     66,  18,  18,  18,  82,  18,  18,  18, 100,  18,  18, 100,
     35, 115,  51, 130,  51,   0,   8,  80,  22,  11,   0,   7,
      3,  35,  66,  19,  86, 100, 115, 132, 101,  98,  19,  67,
     35,  35,  66,   0,   5,  96,  24,  11,   0,   6, 115,  66,
     50,  66,  51,  35,  51,  34,  82,  19,  86, 100, 116, 115,
    146, 131, 130, 146, 131,  96,  17,  10,   0,   6,  39,  55,
    114, 114, 130, 114, 115, 114, 120,  40, 240, 240, 192,  19,
      8, 179,  68,  67,  83,  83,  83,  83,  53,  53,  83,  83,
     83,  83,  84,  83, 240, 176,  19,   5,  83,  35,  35,  35,
     35,  35,  35,  35,  35,  35,  35,  35,  35,  35,  35, 240,
     32,  19,   8, 132,  69,  83,  83,  83,  83,  83,  99,  68,
     67,  83,  83,  83,  53,  52, 240, 208,  12,  11,   0,   9,
    100,  49,  41,  33,  52,   0,  12,  96,
};

//*****************************************************************************
//
// The font definition for the 20 point Apercu bold font.
//
//*****************************************************************************
const tFont g_sFontApercu20b =
{
    //
    // The format of the font.
    //
    FONT_FMT_PIXEL_RLE,

    //
    // The maximum width of the font.
    //
    17,

    //
    // The height of the font.
    //
    19,

    //
    // The baseline of the font.
    //
    15,

    //
    // The offset to each character in the font.
    //
    {
           0,    5,   21,   36,   66,   91,  126,  155,
         165,  184,  203,  216,  232,  243,  252,  261,
         282,  312,  332,  353,  374,  398,  420,  445,
         464,  490,  514,  526,  541,  558,  570,  587,
         608,  648,  675,  702,  728,  757,  776,  795,
         824,  855,  873,  894,  924,  943,  984, 1019,
        1049, 1072, 1104, 1133, 1156, 1175, 1206, 1234,
        1279, 1305, 1329, 1348, 1368, 1389, 1409, 1424,
        1432, 1440, 1461, 1488, 1507, 1535, 1555, 1574,
        1598, 1626, 1643, 1663, 1689, 1707, 1742, 1768,
        1791, 1818, 1845, 1863, 1883, 1902, 1928, 1952,
        1988, 2010, 2034, 2051, 2070, 2089, 2108,
    },

    //
    // A pointer to the actual font data
    //
    g_pucApercu20bData
};
